
var w = window.innerWidth, h = window.innerHeight;

const svg = d3.select("#drawRegion")
  .append("svg")
  .attr("width", "100%")
  .attr("height", "600");

svg.append("rect")
  .attr("x", "0")
  .attr("y", "0")
  .attr("width", w)
  .attr("height", h) 
  .attr("fill", "yellow");

var con = svg.append("g")
    //.attr("transform", "translate(" + w/2 + "," + h/2 + ")")
    .attr("x", w/2)
		.attr("y", h/2)
	  .attr("id","gvid1")
 	
con.append("circle")
		.attr('r','10')
		.attr('fill','red')  
    
var con1 = con.append("g")
		.append("g")
    .attr("transform", "translate(0,0)")
	  .attr("id","gvid2")

con1.append("circle")
		.attr('r','5')
		.attr('fill','blue')

const fObj = con1
  .append("foreignObject");


fObj
  .attr("x", "0")
  .attr("y", "0")
  .attr("class", "web-cam")
  .attr("width", "500")
  .attr("height", "500")
  .attr("id", "videopattern")

const div = fObj
  .append("xhtml:div")
  .attr("width", "500")
  .attr("height", "500")
  .attr("class", "div2")

const vidObj = div
  .append("xhtml:video");
  vidObj
  .attr("width", "100%")
  .attr("height", "100%") 
  .attr("class", "video2")
  .attr("id", "vid")
  //.attr("autoplay", true)

const src = vidObj.
  append("xhtml:source");
  src
    .attr("type", "video/mp4")
    .attr("src", "https://www.w3schools.com/html/mov_bbb.mp4")
		
		




// PLANETS


var t0 = Date.now();

d3.timer(function() {
    var delta = (Date.now() - t0);
    
    var rot = 90 + delta * 5/200
    console.log(" w/2 + "," + h/2", w/2 + "," + h/2)
    svg.selectAll("#gvid1").attr("transform", function(d) { 
      return "translate( " + (w/2-250) + "," + (h/2-250) +") rotate( "  + delta * 5/200 + "," + 100 + "," + 100 + ")"; 
    });
    svg.selectAll("#gvid2").attr("transform", function(d) {
      return "rotate( " +  -delta * 5/200 + ")";
    });
});

 
// LEFT RIGHT
function animateVideo(){
 	fObj.transition().duration(7000 ) 
	.attr('transform' ,`translate(650,0)`)
  .transition().duration(7000 ) 
	.attr('transform' ,`translate(0,0)`) 
  .on("end", animateVideo)
}
//animateVideo()


// image in circle
//addimage() 
function addimage() {
  var imgurl = "http://wallpapers.androlib.com/wallicons/wallpaper.big-pqC.cs.png"



  var defs = svg.append("defs").attr("id", "imgdefs")
  var catpattern = defs.append("pattern")
                          .attr("id", "catpattern")
                          .attr("height", 1)
                          .attr("width", 1)
                          .attr("x", "0")
                          .attr("y", "0")

  catpattern.append("image")
       .attr("x", -130)
       .attr("y", -220)
       .attr("height", 640)
       .attr("width", 480)
       .attr("xlink:href", imgurl)

  svg.append("circle")
      .attr("r", 100)
      .attr("cy", 80)
      .attr("cx", 120)
      .attr("fill", "url(#catpattern)")
}